# $Revision: 1.28 $, $Date: 2010/03/04 12:14:28 $
Summary:	GNOME Build Framework (GBF)
Summary(pl.UTF-8):	Struktura GNOME Build (GBF)
Name:		gnome-build
Version:	2.24.1
Release:	3
License:	GPL v2+
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-build/2.24/%{name}-%{version}.tar.bz2
# Source0-md5:	b35c918b6c0c70652e9eb1d2e45138f1
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gdl-devel >= 2.24.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonoboui-devel >= 2.24.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-base >= 5.005
BuildRequires:	pkgconfig
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Build Framework (GBF).

%description -l pl.UTF-8
Struktura GNOME Build (GBF).

%package devel
Summary:	Header files for gnome-build
Summary(pl.UTF-8):	Pliki nagłówkowe gnome-build
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gdl-devel >= 2.24.0

%description devel
Header files for gnome-build.

%description devel -l pl.UTF-8
Pliki nagłówkowe gnome-build.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/%{name}-1.0/backends/*.la

%find_lang gbf-1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f gbf-1.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/gbf-am-parse
%attr(755,root,root) %{_bindir}/gbf-mkfile-parse
%attr(755,root,root) %{_libdir}/libgbf-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgbf-1.so.2
%attr(755,root,root) %{_libdir}/libgbf-widgets-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgbf-widgets-1.so.2
%dir %{_libdir}/%{name}-1.0
%dir %{_libdir}/%{name}-1.0/backends
%attr(755,root,root) %{_libdir}/%{name}-1.0/backends/libgbf-am.so
%attr(755,root,root) %{_libdir}/%{name}-1.0/backends/libgbf-mkfile.so
%{_libdir}/%{name}-1.0/backends/gbf-am.server
%{_libdir}/%{name}-1.0/backends/gbf-mkfile.server
%{_datadir}/%{name}
%{_pixmapsdir}/gbf-*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgbf-1.so
%attr(755,root,root) %{_libdir}/libgbf-widgets-1.so
%{_libdir}/libgbf-1.la
%{_libdir}/libgbf-widgets-1.la
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/gnome-build-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-build.spec,v $
Revision 1.28  2010/03/04 12:14:28  hawk
- release 3

Revision 1.27  2010/01/06 01:29:37  sparky
- BR: gettext-devel

Revision 1.26  2008/11/09 13:52:19  megabajt
- release 2

Revision 1.25  2008/10/20 12:58:58  megabajt
- updated to 2.24.1

Revision 1.24  2008/10/17 20:46:57  megabajt
- added BR: perl-Locale-gettext

Revision 1.23  2008/10/04 21:03:20  megabajt
- updated to 2.24.0

Revision 1.22  2008/06/18 16:15:33  qboosh
- more verbose files, killed modules .la

Revision 1.21  2008/06/18 15:54:23  qboosh
- BR: ac,lt,sed 4

Revision 1.20  2008/06/18 12:56:19  patrys
- 0.3.0
- sed workaround for outdated GNU_REGEX support

Revision 1.19  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.18  2007/09/07 17:50:47  twittner
- up to 0.2.0

Revision 1.17  2007/05/10 17:56:53  megabajt
- updated to 0.1.6

Revision 1.16  2007/02/22 18:32:40  megabajt
- updated to 0.1.5

Revision 1.15  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.13  2007/01/16 21:12:00  megabajt
- up to 0.1.4

Revision 1.12  2006/08/12 08:16:42  freetz
- removed bogus libselinux-devel BR

Revision 1.11  2006/08/12 08:08:32  freetz
- rel.2, updated file list, use HEAD deps

Revision 1.10  2006/07/31 19:07:43  czarny
 - up to 0.1.3
 - BR: libselinux-devel

Revision 1.9  2005/06/27 08:59:42  freetz
- 0.1.2

Revision 1.8  2005/05/15 15:09:13  freetz
- 0.1.1, updated BRs, remove no locale

Revision 1.7  2004/03/13 20:17:23  qboosh
- BR: automake, s/perl/perl-base/, strict internal dep

Revision 1.6  2004/03/12 23:51:28  andree
- copy config.sub

Revision 1.5  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.4  2003/08/12 11:32:16  wiget
- Werror disabled

Revision 1.3  2003/08/12 06:05:34  ankry
- cosmetics

Revision 1.2  2003/08/11 23:59:26  grzegol
- added post/postun ldconfig

Revision 1.1  2003/08/11 23:44:20  grzegol
- new
